name: Deploy mael-landing

on:
  push:
    branches:
      - master

jobs:
  deploy:
    runs-on: self-hosted
    steps:
      - name: Pull and restart
        run: |
          git config --global --add safe.directory /home/mads/mael-landing
          cd /home/mads/mael-landing
          git remote set-url origin http://gitea:3000/Mads/mael-landing.git
          git pull origin master
          docker compose restart